using Application.Services.Database;
using Core.Entities;
using Infrastructure.Data;
using Microsoft.EntityFrameworkCore;

namespace Infrastructure.Services.PostgreSQL;

public class PatientRepository(HealthcareManagerDatabase context)
    : BasePostgreSQLRepository<Patient>(context), IPatientRepository
{
    public async Task<Patient?> FindByEmailAsync(string email)
    {
        return await _context.Patients.FirstOrDefaultAsync(d => d.Email == email);
    }
}